VRE (gCube Join VRE Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-17

org.gcube.portlets.user.joinvre.shared

## Class VRE

- java.lang.Object
- - org.gcube.portlets.user.joinvre.shared.ResearchEnvironment
  - - org.gcube.portlets.user.joinvre.shared.VRE

- All Implemented Interfaces:
    Serializable, Comparable<VRE>

      public class VRE
      extends ResearchEnvironment
      implements Serializable, Comparable<VRE>

  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it, Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `id`
    `protected boolean` | `isExternal`
    `protected boolean` | `uponRequest`
    `protected String` | `url`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VRE()`
    `VRE(long id, String vreName, String description, String imageURL, String vomsGroupName, String friendlyURL, UserBelonging userBelonging, boolean uponRequest)`
    `VRE(long id, String vreName, String description, String imageURL, String vomsGroupName, String friendlyURL, UserBelonging userBelonging, boolean uponRequest, boolean isExternal, String url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VRE vre)`
    `long` | `getId()`
    `String` | `getUrl()`
    `boolean` | `isExternal()`
    `boolean` | `isUponRequest()`
    `void` | `setExternal(boolean isExternal)`
    `void` | `setId(long id)`
    `void` | `setUponRequest(boolean uponRequest)`
    `void` | `setUrl(String url)`
    `String` | `toString()`

    - ### Methods inherited from class org.gcube.portlets.user.joinvre.shared.ResearchEnvironment

      `getDescription, getFriendlyURL, getGroupName, getImageURL, getName, getUserBelonging, setDescription, setFriendlyURL, setGroupName, setImageURL, setName, setUserBelonging`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uponRequest

          protected boolean uponRequest

    - #### id

          protected long id

    - #### isExternal

          protected boolean isExternal

    - #### url

          protected String url

  - ### Constructor Detail

    - #### VRE

          public VRE()

    - #### VRE

          public VRE(long id,
             String vreName,
             String description,
             String imageURL,
             String vomsGroupName,
             String friendlyURL,
             UserBelonging userBelonging,
             boolean uponRequest)

      Parameters:
        `id` -
        `vreName` -
        `description` -
        `imageURL` -
        `vomsGroupName` -
        `friendlyURL` -
        `categories` -
        `userBelonging` -
        `uponRequest` -

    - #### VRE

          public VRE(long id,
             String vreName,
             String description,
             String imageURL,
             String vomsGroupName,
             String friendlyURL,
             UserBelonging userBelonging,
             boolean uponRequest,
             boolean isExternal,
             String url)

  - ### Method Detail

    - #### isUponRequest

          public boolean isUponRequest()

    - #### setUponRequest

          public void setUponRequest(boolean uponRequest)

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### isExternal

          public boolean isExternal()

    - #### setExternal

          public void setExternal(boolean isExternal)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(VRE vre)

      Specified by:
        `compareTo` in interface `Comparable<VRE>`

Copyright © 2016. All Rights Reserved.